Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OgreOctreeSceneManager.cpp File Reference

`#include <OgreOctreeSceneManager.h>`
`#include <OgreOctreeSceneQuery.h>`
`#include <OgreOctreeNode.h>`
`#include <OgreOctreeCamera.h>`
`#include <OgreRenderSystem.h>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

void | findNodesInBox (Ogre::SceneManager *sm, const Ogre::AxisAlignedBox &box, std::list< Ogre::SceneNode * > &list, Ogre::SceneNode *exclude)
void | findNodesInSphere (Ogre::SceneManager *sm, const Ogre::Sphere &sphere, std::list< Ogre::SceneNode * > &list, Ogre::SceneNode *exclude)

## Function Documentation

void findNodesInBox | ( | Ogre::SceneManager * | sm,
|  | const Ogre::AxisAlignedBox & | box,
|  | std::list< Ogre::SceneNode * > & | list,
|  | Ogre::SceneNode * | exclude
| ) |

| Definition at line 45 of file OgreOctreeSceneManager.cpp.

void findNodesInSphere | ( | Ogre::SceneManager * | sm,
|  | const Ogre::Sphere & | sphere,
|  | std::list< Ogre::SceneNode * > & | list,
|  | Ogre::SceneNode * | exclude
| ) |

| Definition at line 52 of file OgreOctreeSceneManager.cpp.

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:48:54 2004